package com.jasamedika.medifirst2000.entities;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name="PapGigiKananSatu_T")
public class PapGigiKananSatu extends BaseTransaction{
	@JsonBackReference   
	@OneToOne(cascade=CascadeType.ALL) 
	@JoinColumn(name = "ObjectPapGigiMulutFk")
	@NotNull(message = "PapGigiMulut tidak boleh kosong")
	private PapGigiMulut papGigiMulut;
	
	@Column(name = "ObjectPapGigiMulutFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String papGigiMulutId;

	@Column(name = "duasatu", nullable = true)
	@Caption(value = "duasatu")
	private String duasatu;

	@Column(name = "duadua", nullable = true)
	@Caption(value = "duadua")
	private String duadua;

	@Column(name = "duatiga", nullable = true)
	@Caption(value = "duatiga")
	private String duatiga;

	@Column(name = "duaempat", nullable = true)
	@Caption(value = "duaempat")
	private String duaempat;

	@Column(name = "dualima", nullable = true)
	@Caption(value = "dualima")
	private String dualima;
	
	@Column(name = "duaenam", nullable = true)
	@Caption(value = "duaenam")
	private String duaenam;

	@Column(name = "duatujuh", nullable = true)
	@Caption(value = "duatujuh")
	private String duatujuh;

	@Column(name = "duadelapan", nullable = true)
	@Caption(value = "duadelapan")
	private String duadelapan;
	
	public String getDuasatu() {
		return duasatu;
	}
	public void setDuasatu(String duasatu) {
		this.duasatu = duasatu;
	}
	public String getDuadua() {
		return duadua;
	}
	public void setDuadua(String duadua) {
		this.duadua = duadua;
	}
	public String getDuatiga() {
		return duatiga;
	}
	public void setDuatiga(String duatiga) {
		this.duatiga = duatiga;
	}
	public String getDuaempat() {
		return duaempat;
	}
	public void setDuaempat(String duaempat) {
		this.duaempat = duaempat;
	}
	public String getDualima() {
		return dualima;
	}
	public void setDualima(String dualima) {
		this.dualima = dualima;
	}
	public String getDuaenam() {
		return duaenam;
	}
	public void setDuaenam(String duaenam) {
		this.duaenam = duaenam;
	}
	public String getDuatujuh() {
		return duatujuh;
	}
	public void setDuatujuh(String duatujuh) {
		this.duatujuh = duatujuh;
	}
	public String getDuadelapan() {
		return duadelapan;
	}
	public void setDuadelapan(String duadelapan) {
		this.duadelapan = duadelapan;
	}
	public PapGigiMulut getPapGigiMulut() {
		return papGigiMulut;
	}
	public void setPapGigiMulut(PapGigiMulut papGigiMulut) {
		this.papGigiMulut = papGigiMulut;
	}

}
